Bug 976873 - latest duplicity does not work on EL5 due to python version
latest duplicity does not work on EL5 due to python version
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: duplicity (Show other bugs)
el5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 13:42 EDT by Peter Meier
Modified: 2017-04-06 06:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:35:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Meier 2013-06-21 13:42:17 EDT
Description of problem:

Update duplicity to latest version, run it and you will get messages like these:


Import of duplicity.backends.u1backend Failed: cannot import name parse_qsl
Import of duplicity.backends.webdavbackend Failed: invalid syntax (webdavbackend.py, line 301)


This is because duplicity versions newer than 0.6.17-1 uses a too new syntax (finally: in this case) for the python version available on EL5.

We should probably stick to 0.6.17-1 on EL5 while only updating EL6.
Comment 1 Rahul Sundaram 2013-12-27 17:53:58 EST
I just took over the package and sticking with older version would be problematic due to severe bugs in those versions which has been fixed in later ones and backporting would be too involved as well.  I am thinking of pulling in python26 dependency instead.  Let me know if that sounds workable to you
Comment 2 Rahul Sundaram 2013-12-27 19:07:32 EST
please try the scratch build at

http://koji.fedoraproject.org/koji/taskinfo?taskID=6337771
Comment 3 Rahul Sundaram 2013-12-27 19:13:28 EST
This one. really

http://koji.fedoraproject.org/koji/taskinfo?taskID=6337783
Comment 4 Peter Meier 2013-12-28 17:54:21 EST
Somehow I only see F20 builds and no EL5 builds. Do I miss something?
Comment 5 Rahul Sundaram 2013-12-28 18:41:13 EST
Yes,  the SRPM comes from a Fedora 20 box but the build is for EL5.  Use the second link
Comment 6 Peter Meier 2013-12-29 09:20:58 EST
Oh I see, thanks!

Unfortunately, it doesn't look like it works:

# duplicity 
Traceback (most recent call last):
  File "/usr/bin/duplicity", line 48, in ?
    from duplicity import commandline
  File "/usr/lib64/python2.4/site-packages/duplicity/commandline.py", line 36, in ?
    from duplicity import backend
  File "/usr/lib64/python2.4/site-packages/duplicity/backend.py", line 42, in ?
    from duplicity import progress
  File "/usr/lib64/python2.4/site-packages/duplicity/progress.py", line 128
    class ProgressTracker():
                          ^
SyntaxError: invalid syntax
# rpm -qi duplicity 
Name        : duplicity                    Relocations: (not relocatable)
Version     : 0.6.22                            Vendor: Fedora Project
Release     : 3.el5                         Build Date: Sat 28 Dec 2013 01:12:59 AM CET
Install Date: Sun 29 Dec 2013 03:17:44 PM CET      Build Host: buildvm-19.phx2.fedoraproject.org
Group       : Applications/Archiving        Source RPM: duplicity-0.6.22-3.el5.src.rpm
Size        : 2589279                          License: GPLv2+
Signature   : (none)
Packager    : Fedora Project
URL         : http://www.nongnu.org/duplicity/
Summary     : Encrypted bandwidth-efficient backup using rsync algorithm
Description :
Duplicity incrementally backs up files and directory by encrypting
tar-format volumes with GnuPG and uploading them to a remote (or
local) file server. In theory many protocols for connecting to a
file server could be supported; so far ssh/scp, local file access,
rsync, ftp, HSI, WebDAV and Amazon S3 have been written.

Because duplicity uses librsync, the incremental archives are space
efficient and only record the parts of files that have changed since
the last backup. Currently duplicity supports deleted files, full
unix permissions, directories, symbolic links, fifos, device files,
but not hard links.
# rpm -qa | grep python
dbus-python-0.70-9.el5_4
python-boto-1.9b-6.el5
libselinux-python-1.33.4-5.7.el5
python-libs-2.4.3-56.el5
python-iniparse-0.2.3-6.el5
python-paramiko-1.7.6-1.el5
python-urlgrabber-3.1.0-6.el5
rpm-python-4.4.2.3-34.el5
python26-2.6.8-2.el5
python-sqlite-1.1.7-1.2.1
python-2.4.3-56.el5
libxml2-python-2.6.26-2.1.21.el5_9.3
python26-libs-2.6.8-2.el5
python-elementtree-1.2.6-5
python-GnuPGInterface-0.3.2-2.el5
audit-libs-python-1.8-2.el5
python-crypto-2.0.1-5.el5


Let me know if you need more information.
Comment 7 Rahul Sundaram 2013-12-29 10:47:34 EST
Thanks for testing.  Getting a build against Python 2.6 would require a separate review.  Let me see what upstream says about 2.4 compatibility.  I have filed a upstream report at https://bugs.launchpad.net/duplicity/+bug/1264847.  Thanks again.
Comment 8 Fedora End Of Life 2017-04-06 06:35:20 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.